#!/bin/bash
# GoogleDesktop.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.1beta"
_NAME="google-desktop-linux"
_FILE="$_NAME-current.rpm"
_URL="http://dl.google.com/linux/rpm/stable/i386/$_FILE"
_COMMENT=`eval_gettext "Google Desktop Search"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
