#!/bin/bash
# Rainlendar.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.2"
_NAME="rainlendar2"
_FILE="Rainlendar-Lite-$_RELEASE.tar.bz2"
_URL="http://www.rainlendar.net/download/$_FILE"
case $_LANG in
  zh_TW) _SUBLANG="45" ; _SUBFILE="Traditional_Chinese.r2lang" ; _SUBURL="http://www.rainlendar.net/cms/index.php?option=com_rny_localization&id=414" ;;
  *) _SUBLANG="" ; _SUBFILE="" ; _SUBURL="" ;;
esac
_COMMENT=`eval_gettext "Rainlendar Desktop Calendar Lite"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d "/usr/share/$_NAME"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum -y install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	tar jxf "$_TEMPDIR/$_FILE" -C "$_TEMPDIR"
	if [ -n $_SUBFILE ] ; then
	  wget "$_SUBURL" -c -O "$_TEMPDIR/$_SUBFILE" 2>&1
	  $_TEMPDIR/$_NAME/$_NAME -i "$_TEMPDIR/$_SUBFILE"
	  mkdir -p "$HOME/.config/.$_NAME/"
	  echo -e "[GlobalSettings]\nLanguage=$_SUBLANG" >> "$HOME/.config/.$_NAME/$_NAME.ini"
	fi
	cp -Rv "$_TEMPDIR/$_NAME" "/usr/share/$_NAME"
	ln -sv "/usr/share/$_NAME/$_NAME" "/usr/bin/$_NAME"
	;;
  uninstall)
	rm -rfv "/usr/share/$_NAME" "/usr/bin/$_NAME" "$HOME/.config/.$_NAME"
	;;
esac
# No more commands below!
