#!/bin/bash
# RealPlayer.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="10.0.8"
_NAME="RealPlayer"
_FILE="$_NAME-$_RELEASE.805-20060718.i586.rpm"
_URL="https://helixcommunity.org/download.php/2152/$_FILE"
_COMMENT=`eval_gettext "Real Multimedia Player"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q gtk2 compat-libstdc++-33
	;;
  prepare)
	yum -y install gtk2 compat-libstdc++-33
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
