#!/bin/bash
# EDUFonts.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.EDU>, 2007

_RELEASE="95.9&96.4"
_FILE1="kai-linux.ttf"
_URL1="http://www.edu.tw/EDU_WEB/EDU_MGT/MANDR/EDU6300001/download/mandr/biauword/kai/$_FILE1"
_FILE2="EDUSong_v2_Unicode.ttf"
_URL2="http://www.edu.tw/EDU_WEB/EDU_MGT/MANDR/EDU6300001/download/mandr/biauword/so/$_FILE2"
test "$_SUBDIR" == "User" && _DATADIR="$HOME/.fonts" || _DATADIR="/usr/share/fonts/chinese"
_COMMENT=`eval_gettext "EDU Standard Kai&Sung Fonts"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -e "$_DATADIR/$_FILE1" -a -e "$_DATADIR/$_FILE2"
	;;
  fulfil)
	rpm -q fontconfig
	;;
  prepare)
	yum -y install fontconfig
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	;;
  install)
	cp -fv "$_TEMPDIR/$_FILE1" "$_TEMPDIR/$_FILE2" "$_DATADIR"
	fc-cache -v "$_DATADIR"
	;;
  uninstall)
	rm -fv "$_DATADIR/$_FILE1" "$_DATADIR/$_FILE2"
	fc-cache -v "$_DATADIR"
	;;
esac
# No more commands below!
