#!/bin/bash
# MSTTCoreFonts.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.0"
_NAME="msttcorefonts"
_FILE="$_NAME-$_RELEASE-1.noarch.rpm"
_URL="http://physnet.bgu.ac.il/DOWNLOADS/RPMs/$_FILE"
_COMMENT=`eval_gettext "Microsoft's TrueType core fonts"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q chkfontpath
	;;
  prepare)
	yum -y install chkfontpath
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
