#!/bin/bash
# OpenBarcodesFonts.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.0.0"
_NAME="openbarcodes"
_FILE="$_NAME.zip"
_URL="http://grandzebu.net/informatique/codbar/$_FILE"
test "$_SUBDIR" == "User" && _DATADIR="$HOME/.fonts/$_NAME" || _DATADIR="/usr/share/fonts/$_NAME"
_COMMENT=`eval_gettext "Open Barcodes Fonts"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d "$_DATADIR"
	;;
  fulfil)
	rpm -q fontconfig
	;;
  prepare)
	yum -y install fontconfig
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	unzip "$_TEMPDIR/$_FILE" -d "$_TEMPDIR"
	mv -fv "$_TEMPDIR/fonts" "$_DATADIR"
	fc-cache -v "$_DATADIR"
	;;
  uninstall)
	rm -rfv "$_DATADIR"
	fc-cache -v
	;;
esac
# No more commands below!
