#!/bin/bash
# OpenDesktopFonts.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.4.2"
_NAME="opendesktop-fonts"
_FILE="$_NAME-$_RELEASE-3.noarch.rpm"
_URL="ftp://ftp.opendesktop.org.tw/odp/ODOFonts/OpenFonts/$_FILE"
_COMMENT=`eval_gettext "OpenDesktop Ming&Kai Fonts"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q fontconfig ttmkfdir chkfontpath
	;;
  prepare)
	yum -y install fontconfig ttmkfdir chkfontpath
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
