#!/bin/bash
# GoogleEarth.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="4.2"
_NAME="google-earth"
_FILE="GoogleEarthLinux.bin"
_URL="http://dl.google.com/earth/client/current/$_FILE"
_COMMENT=`eval_gettext "Google Earth mapping client"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d "/opt/$_NAME"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum -y install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	sh "$_TEMPDIR/$_FILE"
	rm -f $HOME/Desktop/Google-googleearth.desktop
	;;
  uninstall)
	rm -rf /opt/$_NAME/*
	rm -rfv /opt/$_NAME /usr/local/bin/googleearth /usr/share/applications/Google-googleearth.desktop
	;;
esac
# No more commands below!
