#!/bin/bash
# GtkHiRad.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="0.2"
_NAME="gtkhirad"
_FILE="$_NAME-$_RELEASE-1.ossii.i386.rpm"
_URL="ftp://ftp.opendesktop.org.tw/OSSII/RPMS/$_FILE"
_COMMENT=`eval_gettext "GTK Hinet Radio Tuner"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q mplayer gtk2 perl
	;;
  prepare)
	yum -y install mplayer gtk2 perl
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
