#!/bin/bash
# NXclient.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="3.0.0"
_NAME="nxclient"
_FILE="$_NAME-$_RELEASE-68.i386.rpm"
_URL="http://64.34.161.181/download/3.0.0/Linux/$_FILE"
_COMMENT=`eval_gettext "NoMachine Remote Desktop Client"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q fontconfig
	;;
  prepare)
	yum -y install fontconfig
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
