#!/bin/bash
# Opera.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="9.23"
_NAME="opera"
_FILE="$_NAME-$_RELEASE-20070809.6-shared-qt.i386-en.rpm"
_URL="http://ftp.cgu.edu.tw/Mirror/Opera/linux/923/final/en/i386/shared/$_FILE"
case $_LANG in
  zh_TW) _SUBLANG="zh-tw" ; _SUBURL="http://www.opera.com/download/lng/923/ouw923_$_SUBLANG.lng" ;;
  *) _SUBLANG="" ;;
esac
_COMMENT=`eval_gettext "Opera Web Browser"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q qt
	;;
  prepare)
	yum -y install qt
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	if [ -n $_SUBLANG ] ; then
	  wget "$_SUBURL" -c -O "/usr/share/opera/locale/$_SUBLANG.lng" 2>&1
	  sed -i "s/LANGUAGE=en/LANGUAGE=$_SUBLANG/" "/usr/share/opera/ini/Opera6Def.ini"
	fi
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
