#!/bin/bash
# AdobeReader.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="7.0.9"
case $_LANG in
  zh_TW) _SUBNAME="cht" ;;
  *) _SUBNAME="enu" ;;
esac
_NAME="AdobeReader_$_SUBNAME"
_FILE="$_NAME-$_RELEASE-1.i386.rpm"
_URL="http://ardownload.adobe.com/pub/adobe/reader/unix/7x/$_RELEASE/$_SUBNAME/$_FILE"
_COMMENT=`eval_gettext "Adobe PDF Viewer"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum -y install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	rm -f /usr/share/applnk/Applications/AdobeReader.desktop /usr/share/applications/kde/AdobeReader.desktop
	sed -i -e 's/\\)00/*\\)00/' -e 's/240/2040/' /usr/bin/acroread
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
