#!/bin/bash
# FoxitReader.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="preview"
_NAME="Foxit"
_SUBNAME="ReaderLinux"
_FILE="${_NAME}${_SUBNAME}.tar.gz"
_URL="http://www.foxitsoftware.com/foxitreader/$_FILE"
test "$_SUBDIR" == "User" && _DATADIR="$HOME/bin" || _DATADIR="/usr/bin"
_COMMENT=`eval_gettext "Foxit PDF Reader"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -e "$_DATADIR/$_SUBNAME"
	;;
  fulfil)
	rpm -q fontconfig
	;;
  prepare)
	yum -y install fontconfig
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	tar zxf "$_TEMPDIR/$_FILE" -C "$_TEMPDIR"
	mkdir -p "$_DATADIR" "$HOME/Desktop"
	cp -fv "$_TEMPDIR/$_SUBNAME" "$_DATADIR/$_SUBNAME"
	chmod +x "$_DATADIR/$_SUBNAME"
	ln -sv "$_DATADIR/$_SUBNAME" "$HOME/Desktop/$_NAME"
	;;
  uninstall)
	rm -fv "$_DATADIR/$_SUBNAME" "$HOME/Desktop/$_NAME"
	;;
esac
# No more commands below!
