#!/bin/bash
# OOoOSSII.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.2"
_NAME="OOo"
_FILE="$_NAME-$_RELEASE.iso"
_URL="ftp://ftp.opendesktop.org.tw/odp/OpenOffice.org/$_RELEASE/$_FILE"
_COMMENT=`eval_gettext "OpenOffice.org OSSII"`
_DATADIR="/etc/OSSII/OSSII-OpenOffice.org"
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -h "$_DATADIR"
	;;
  fulfil)
	true
	;;
  prepare)
	true
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	mkdir -p "$_TEMPDIR/iso"
	mount -t iso9660 -o loop "$_TEMPDIR/$_FILE" "$_TEMPDIR/iso"
	"$_TEMPDIR/iso/Live-Linux/setup.sh"
	test -h "$_DATADIR" && cp -f "$_TEMPDIR/iso/Live-Linux/uninstall.sh" "$_DATADIR/uninstall.sh"
	umount "$_TEMPDIR/iso"
	;;
  uninstall)
	"$_DATADIR/uninstall.sh" && echo "OOo uninstalled!"
	;;
esac
# No more commands below!
