#!/bin/bash
# GTKSharp.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.2.4"
_NAME="gtk-sharp2"
_FILE="gtk-sharp-2.0.zip"
_URL="http://www.go-mono.com/download-stable/fedora-5-i386/$_FILE"
_COMMENT=`eval_gettext "Mono GTK# Library"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q mono-core perl-XML-LibXML-Common perl-XML-NamespaceSupport perl-XML-SAX gtkhtml3
	;;
  prepare)
	yum -y install mono-core perl-XML-LibXML-Common perl-XML-NamespaceSupport perl-XML-SAX gtkhtml3
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	unzip "$_TEMPDIR/$_FILE" -d "$_TEMPDIR"
	rpm -Uvh $_TEMPDIR/*sharp2*.rpm
	;;
  uninstall)
	yum -y remove "*sharp2*"
	;;
esac
# No more commands below!
