#!/bin/bash
# GooglePicasa.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.2.2820"
_NAME="picasa"
_FILE="$_NAME-$_RELEASE-5.i386.rpm"
_URL="http://dl.google.com/linux/rpm/stable/i386/$_FILE"
_COMMENT=`eval_gettext "Google Picasa photo manager"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q wine
	;;
  prepare)
	yum -y install wine
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
