#!/bin/bash
# JRE15.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.5.0_11"
_NAME="jre"
_FILE="$_NAME-$_RELEASE-1.ossii.i586.rpm"
_URL="ftp://ftp.opendesktop.org.tw/OSSII/RPMS/$_FILE"
_COMMENT=`eval_gettext "Java Runtime Environment"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	true
	;;
  prepare)
	true
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	ln -sf /usr/share/fonts/opendesktop/TrueType /usr/java/jre-1.5.0_11/lib/fonts/fallback
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
