#!/bin/bash
# MonoVB.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="1.2.4"
_NAME="mono-basic"
_FILE="mono.zip"
_URL="http://www.go-mono.com/download-stable/fedora-5-i386/$_FILE"
_COMMENT=`eval_gettext "Mono Visual BASIC .NET"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	true
	;;
  prepare)
	true
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	unzip "$_TEMPDIR/$_FILE" -d "$_TEMPDIR"
	rpm -Uvh $_TEMPDIR/mono*.rpm $_TEMPDIR/{libgdiplus,bytefx-data-mysql,ibm-data-db2}*.rpm
	;;
  uninstall)
	yum -y remove libgdiplus bytefx-data-mysql ibm-data-db2 "mono*"
	;;
esac
# No more commands below!
