#!/bin/bash
# Browser-Flash.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="100107"
_NAME="flashplayer9"
_FILE="${_NAME}_install_i386_$_RELEASE.rpm"
_URL="http://download.macromedia.com/pub/labs/flashplayer9_update/$_FILE"
_COMMENT=`eval_gettext "Flash Plugin for Browser"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum -y install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE"
	;;
  uninstall)
	yum -y remove "$_NAME"
	;;
esac
# No more commands below!
