#!/bin/bash
# CIN-Extra.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="070720"
_NAME="cin-extra"
_FILE="$_NAME-$_RELEASE.zip"
_URL="http://rt.openfoundry.org/Foundry/Project/Download/Attachment/90091/62015/$_FILE"
test "$_SUBDIR" == "User" && _DATADIR="$HOME/.oxim/tables" || _DATADIR="/usr/lib/oxim/tables"
_COMMENT=`eval_gettext "CIN Tables for OXIM"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -e "$_DATADIR/$_NAME.log"
	;;
  fulfil)
	rpm -q oxim oxim-setup
	;;
  prepare)
	yum -y install oxim oxim-setup
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	pushd "$_TEMPDIR"
	unzip "$_FILE"
	for i in *.cin ; do
	  oxim2tab $i
	done
	ls *.tab > "$_NAME.log"
	mkdir -p "$_DATADIR"
	cp *.tab "$_NAME.log" "$_DATADIR"
	popd
	oxim-setup &
	;;
  uninstall)
	pushd "$_DATADIR"
	xargs -a "$_NAME.log" rm -fv
	rm -fv "$_NAME.log"
	popd
	oxim-setup &
	;;
esac
# No more commands below!
