#!/bin/bash
# EL5-Repos.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="EL5"
_NAME1="epel-release"
_FILE1="$_NAME1-5-2.noarch.rpm"
_URL1="http://download.fedora.redhat.com/pub/epel/5/i386/$_FILE1"
_NAME2="rpmforge-release"
_FILE2="$_NAME2-0.3.6-1.el5.rf.i386.rpm"
_URL2="http://apt.sw.be/redhat/el5/en/i386/RPMS.dag/$_FILE2"
_COMMENT=`eval_gettext "3rd Party Repositories"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME1" "$_NAME2"
	;;
  fulfil)
	true
	;;
  prepare)
	true
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE1" "$_TEMPDIR/$_FILE2"
	;;
  uninstall)
	yum -y remove "$_NAME1" "$_NAME2"
	;;
esac
# No more commands below!
