#!/bin/bash
# Firefox-Extensions.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="..."
_NAME1="tongwen"
_FILE1="tongwen_0.3.8.8.xpi"
_URL1="http://rt.openfoundry.org/Foundry/Project/Download/Attachment/91957/63271/$_FILE1"
_NAME2="pdfdownload"
_FILE2="pdf_download-0.9.2-fx+fl.xpi"
_URL2="https://addons.mozilla.org/en-US/firefox/downloads/file/19258/$_FILE2"
_NAME3="tabcatalog"
_FILE3="tab_catalog-1.4.2007052401-fx.xpi"
_URL3="https://addons.mozilla.org/en-US/firefox/downloads/file/15956/$_FILE3"
_COMMENT=`eval_gettext "Extensions for Firefox"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	if test "$_SUBDIR" == "User" ; then
	  ls $HOME/.mozilla/firefox/*.default/extensions/*/chrome/{$_NAME1,$_NAME2,$_NAME3}.jar
	else
	  ls /usr/lib/firefox-*/extensions/*/chrome/{$_NAME1,$_NAME2,$_NAME3}.jar
	fi
	;;
  fulfil)
	rpm -q firefox
	;;
  prepare)
	yum -y install firefox
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	wget "$_URL3" -c -O "$_TEMPDIR/$_FILE3" 2>&1
	;;
  install)
	for i in "$_FILE1" "$_FILE2" "$_FILE3" ; do
	  if test "$_SUBDIR" == "User" ; then
	    firefox "$_TEMPDIR/$i"
	    $_DIALOG --no-buttons --title `eval_gettext "Information"` --info `eval_gettext "You must close Firefox\nafter each action!"` 5 25 3000
	  else
	    firefox -install-global-extension "$_TEMPDIR/$i"
	    echo $i
	  fi
	  sleep 1
	done
	;;
  uninstall)
	if test "$_SUBDIR" == "User" ; then
	  rm -fv $HOME/.mozilla/firefox/*.default/extensions/*/chrome/{$_NAME1,$_NAME2,$_NAME3}.jar
	else
	  rm -fv /usr/lib/firefox-*/extensions/*/chrome/{$_NAME1,$_NAME2,$_NAME3}.jar
	fi
	;;
esac
# No more commands below!
