#!/bin/bash
# Impress-Templates.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="060507"
_NAME="impress_templates"
_FILE="${_NAME}_otp.zip  "
_URL="http://technology.chtsai.org/impress/$_FILE"
_COMMENT=`eval_gettext "Templates for OOo-Impress"`
_DATADIR="/etc/OSSII/OSSII-OpenOffice.org/share/template/zh-TW/layout"
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -e "$_DATADIR/$_NAME.log"
	;;
  fulfil)
	test -h "$_DATADIR"
	;;
  prepare)
	false
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	pushd "$_TEMPDIR"
	unzip "$_FILE"
	ls *.otp > "$_NAME.log"
	mkdir -p "$_DATADIR"
	cp *.otp "$_NAME.log" "$_DATADIR"
	popd
	;;
  uninstall)
	pushd "$_DATADIR"
	xargs -a "$_NAME.log" rm -fv
	rm -fv "$_NAME.log"
	popd
	;;
esac
# No more commands below!
