#!/bin/bash
# MPlayer-Codecs.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="20061022"
_NAME1="mplayer-codecs"
_FILE1="$_NAME1-$_RELEASE-1.i386.rpm"
_URL1="http://www.mplayerhq.hu/MPlayer/releases/codecs/$_FILE1"
_NAME2="mplayer-codecs-extra"
_FILE2="$_NAME2-$_RELEASE-1.i386.rpm"
_URL2="http://www.mplayerhq.hu/MPlayer/releases/codecs/$_FILE2"
_COMMENT=`eval_gettext "Codecs for MPlayer"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME1" "$_NAME2"
	;;
  fulfil)
	true
	;;
  prepare)
	true
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE1" "$_TEMPDIR/$_FILE2"
	;;
  uninstall)
	yum -y remove "$_NAME1" "$_NAME2"
	;;
esac
# No more commands below!
