#!/bin/bash
# Stardict-21Century.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.4.2"
_NAME="stardict-21shijishuangxiangcidian-big5-$_RELEASE"
_FILE="$_NAME.tar.bz2"
_URL="http://nchc.dl.sourceforge.net/sourceforge/stardict/$_FILE"
_COMMENT=`eval_gettext "21Century en<->zh_TW Dictionary"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d "/usr/share/stardict/dic/$_NAME"
	;;
  fulfil)
	rpm -q stardict
	;;
  prepare)
	yum -y install stardict
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	mkdir -p /usr/share/stardict/dic
	tar jxf "$_TEMPDIR/$_FILE" -C "$_TEMPDIR"
	mv -fv "$_TEMPDIR/$_NAME" /usr/share/stardict/dic
	;;
  uninstall)
	rm -rfv /usr/share/stardict/dic/$_NAME
	;;
esac
# No more commands below!
