#!/bin/bash
# Stardict-Langdao.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.4.2"
_NAME1="stardict-langdao-ec-big5"
_FILE1="$_NAME1-$_RELEASE-1.noarch.rpm"
_URL1="http://nchc.dl.sourceforge.net/sourceforge/stardict/$_FILE1"
_NAME2="stardict-langdao-ce-big5"
_FILE2="$_NAME2-$_RELEASE-1.noarch.rpm"
_URL2="http://nchc.dl.sourceforge.net/sourceforge/stardict/$_FILE2"
_COMMENT=`eval_gettext "LangDao en<->zh_TW Dictionaries"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	rpm -q "$_NAME1" "$_NAME2"
	;;
  fulfil)
	rpm -q stardict
	;;
  prepare)
	yum -y install stardict
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	;;
  install)
	rpm -Uvh "$_TEMPDIR/$_FILE1" "$_TEMPDIR/$_FILE2"
	;;
  uninstall)
	yum -y remove "$_NAME1" "$_NAME2"
	;;
esac
# No more commands below!
