#!/bin/bash
# Flock.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="0.7.14"
_NAME="flock"
case $_LANG in
  zh_TW)
	_FILE="$_NAME-$_RELEASE.zh-TW.linux-i686.tar.gz"
	_URL="http://ftp.osuosl.org/pub/flock/releases/0.7.14/l10n/zh-TW/$_FILE"
	;;
  *)
	_FILE="$_NAME-$_RELEASE.en-US.linux-i686.tar.gz"
	_URL="http://mirror2.flock.com/releases/0.7.14/$_FILE"
	;;
esac
if test "$_SUBDIR" == "User" ; then
  _DATADIR="$HOME/bin"
  _DESKDIR="$HOME/Desktop"
else
  _DATADIR="/usr/lib"
  _DESKDIR="/usr/share/applications"
fi
_COMMENT=`eval_gettext "Flock Social Web Browser"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d "$_DATADIR/$_NAME-$_RELEASE"
	;;
  fulfil)
	rpm -q gtk2
	;;
  prepare)
	yum -y install gtk2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	tar zxf "$_TEMPDIR/$_FILE" -C "$_TEMPDIR"
	mkdir -pv "$_DATADIR"
	echo -e "[Desktop Entry]\nName=Flock Web Browser\nComment=Browse the Web\nExec=$_DATADIR/flock-0.7.14/flock %u\nIcon=$_DATADIR/flock-0.7.14/icons/mozicon50.xpm\nType=Application\nCategories=Network;WebBrowser;" > $_DESKDIR/$_NAME.desktop
	mv -fv "$_TEMPDIR/$_NAME" "$_DATADIR/$_NAME-$_RELEASE"
	;;
  uninstall)
	rm -rfv "$_DATADIR/$_NAME-$_RELEASE" "$_DESKDIR/$_NAME.desktop"
	;;
esac
# No more commands below!
