#!/bin/bash
# IEs4Linux.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="2.0.5"
_NAME="ies4linux"
_FILE="$_NAME-latest.tar.gz"
_URL="http://www.tatanka.com.br/ies4linux/downloads/$_FILE"
_COMMENT=`eval_gettext "Internet Explorer under WINE"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -d $HOME/.$_NAME
	;;
  fulfil)
	rpm -q wine cabextract librsvg2
	;;
  prepare)
	yum -y install wine cabextract librsvg2
	;;
  download)
	wget "$_URL" -c -O "$_TEMPDIR/$_FILE" 2>&1
	;;
  install)
	mkdir -p $HOME/Desktop
	pushd "$_TEMPDIR"
	tar zxf "$_FILE"
	cd $_NAME-*
	sed -i 's/^tw/zh/' lib/messages.sh
	./$_NAME --beta-gui 2>&1
	wait
	sync
	sleep 5
	echo -e '\n[Desktop]' >> $HOME/.$_NAME/ie6/drive_c/windows/win.ini
	echo -e 'menufontsize=14\nmessagefontsize=14\nstatusfontsize=14\nIconTitleSize=14' >> $HOME/.$_NAME/ie6/drive_c/windows/win.ini
	echo -e '\n[Software\\\\Wine\\\\X11 Driver]' >> $HOME/.$_NAME/ie6/user.reg
	echo -e '"ClientSideAntiAliasWithRender"="N"\n"InputStyle"="root"' >> $HOME/.$_NAME/ie6/user.reg
	popd
	;;
  uninstall)
	rm -rf $HOME/.$_NAME/*
	rm -rfv $HOME/.$_NAME $HOME/bin/ie* $HOME/Desktop/IE*.desktop
	;;
esac
# No more commands below!
