#!/bin/bash
# TWFonts.sh (called by selfhelper) 
# GPL (c) Wei-Lun Chao <william.chao@ossii.com.tw>, 2007

_RELEASE="95_1_3"
_FILE1="TW-Kai-$_RELEASE.ttf"
_URL1="http://61.67.71.131/download/file/$_FILE1"
_FILE2="TW-Sung-$_RELEASE.ttf"
_URL2="http://61.67.71.131/download/file/$_FILE2"
_FILE3="TW-Kai-Ext-B.ttf"
_URL3="http://61.67.71.131/download/file/$_FILE3"
_FILE4="TW-Sung-Ext-B.ttf"
_URL4="http://61.67.71.131/download/file/$_FILE4"
test "$_SUBDIR" == "User" && _DATADIR="$HOME/.fonts" || _DATADIR="/usr/share/fonts/chinese"
_COMMENT=`eval_gettext "CNS11643 Kai&Sung Fonts"`
case $1 in
  comment)
	echo -n "($_COMMENT $_RELEASE)"
	;;
  detect)
	test -e "$_DATADIR/$_FILE1" -a -e "$_DATADIR/$_FILE2"
	;;
  fulfil)
	rpm -q fontconfig
	;;
  prepare)
	yum -y install fontconfig
	;;
  download)
	wget "$_URL1" -c -O "$_TEMPDIR/$_FILE1" 2>&1
	wget "$_URL2" -c -O "$_TEMPDIR/$_FILE2" 2>&1
	wget "$_URL3" -c -O "$_TEMPDIR/$_FILE3" 2>&1
	wget "$_URL4" -c -O "$_TEMPDIR/$_FILE4" 2>&1
	;;
  install)
	cp -fv "$_TEMPDIR/$_FILE1" "$_TEMPDIR/$_FILE2" "$_TEMPDIR/$_FILE3" "$_TEMPDIR/$_FILE4" "$_DATADIR"
	fc-cache -v "$_DATADIR"
	;;
  uninstall)
	rm -fv "$_DATADIR/$_FILE1" "$_DATADIR/$_FILE2" "$_DATADIR/$_FILE3" "$_DATADIR/$_FILE4"
	fc-cache -v "$_DATADIR"
	;;
esac
# No more commands below!
